Canvas5GraphInternal::Shape Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
Canvas5GraphInternal::Shape Struct Reference

Internal: the shape of a Canvas5Graph. More...

## Public Member Functions
| Shape ()
| constructor More...
std::string | getTypeName () const
| returns the type name More...

## Public Attributes
int | m_type
| the shape type More...
int | m_id
| the shape id More...
MWAWBox2f | m_initialBox
| the original box More...
MWAWBox2f | m_bdbox
| the bounding box More...
long | m_pos
| the beginning position More...
int | m_values [4]
| some unknown value More...
int | m_flags [3]
| some unknown flag More...
bool | m_sent
| a flag to know if the shape is already send More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &s)
| operator<< More...

## Detailed Description

Internal: the shape of a Canvas5Graph.

## Constructor & Destructor Documentation

## ◆ Shape()

Canvas5GraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getTypeName()

std::string Canvas5GraphInternal::Shape::getTypeName | ( |  | ) | const
| inline

returns the type name

Referenced by Canvas5Graph::readShapeData().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | s
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bdbox

MWAWBox2f Canvas5GraphInternal::Shape::m_bdbox

the bounding box

Referenced by Canvas5Graph::readShapes().

## ◆ m_flags

int Canvas5GraphInternal::Shape::m_flags[3]

some unknown flag

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readShapes(), and Shape().

## ◆ m_id

int Canvas5GraphInternal::Shape::m_id

the shape id

Referenced by Canvas5Graph::readShapes().

## ◆ m_initialBox

MWAWBox2f Canvas5GraphInternal::Shape::m_initialBox

the original box

Referenced by Canvas5Graph::readShapes(), Canvas5Graph::send(), Canvas5Graph::sendDimension(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), and Canvas5Graph::sendTechnical().

## ◆ m_pos

long Canvas5GraphInternal::Shape::m_pos

the beginning position

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readShapes(), and Canvas5Graph::send().

## ◆ m_sent

bool Canvas5GraphInternal::Shape::m_sent
| mutable

a flag to know if the shape is already send

## ◆ m_type

int Canvas5GraphInternal::Shape::m_type

the shape type

Referenced by getTypeName(), Canvas5Graph::readShapeData(), Canvas5Graph::readShapes(), and Canvas5Graph::send().

## ◆ m_values

int Canvas5GraphInternal::Shape::m_values[4]

some unknown value

Referenced by Canvas5Graph::readShapes(), Canvas5Graph::send(), and Shape().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx